Skip to main content
GET
/
v2
/
payee-destination
/
signing-data
Get EIP-712 signing data with nonce
curl --request GET \
  --url https://api.request.network/v2/payee-destination/signing-data \
  --header 'Origin: <origin>' \
  --header 'x-client-id: <x-client-id>'

Headers

x-client-id
string
required

Client ID for frontend authentication

Origin
string
required

Origin header (automatically set by browser)

Query Parameters

walletAddress
string
required

The wallet address that will sign the message

action
enum<string>
required

The action to perform (add or deactivate)

Available options:
add,
deactivate
tokenAddress
string
required

The ERC20 token address for the payee destination

chainId
string
required

The chain ID where the token is deployed

Response

EIP-712 signing data with nonce